From: Joe Lawrence <joe.lawrence@redhat.com>
To: live-patching@vger.kernel.org
Cc: Josh Poimboeuf <jpoimboe@kernel.org>, Song Liu <song@kernel.org>,
Jiri Kosina <jikos@kernel.org>, Miroslav Benes <mbenes@suse.cz>,
Petr Mladek <pmladek@suse.com>
Subject: [PATCH v4 10/12] livepatch/klp-build: provide friendlier error messages
Date: Tue, 10 Mar 2026 16:37:49 -0400 [thread overview]
Message-ID: <20260310203751.1479229-11-joe.lawrence@redhat.com> (raw)
In-Reply-To: <20260310203751.1479229-1-joe.lawrence@redhat.com>
Provide more context for common klp-build failure modes. Clarify which
user-provided patch is unsupported or failed to apply, and explicitly
identify which kernel build (original or patched) failed.
Acked-by: Song Liu <song@kernel.org>
Signed-off-by: Joe Lawrence <joe.lawrence@redhat.com>
---
scripts/livepatch/klp-build | 9 +++++----
1 file changed, 5 insertions(+), 4 deletions(-)
diff --git a/scripts/livepatch/klp-build b/scripts/livepatch/klp-build
index 7f4041a0eefb..cf36555330b3 100755
--- a/scripts/livepatch/klp-build
+++ b/scripts/livepatch/klp-build
@@ -341,7 +341,7 @@ check_unsupported_patches() {
for file in "${files[@]}"; do
case "$file" in
lib/*|*.S)
- die "unsupported patch to $file"
+ die "${patch}: unsupported patch to $file"
;;
esac
done
@@ -486,6 +486,7 @@ clean_kernel() {
}
build_kernel() {
+ local build="$1"
local log="$TMP_DIR/build.log"
local objtool_args=()
local cmd=()
@@ -523,7 +524,7 @@ build_kernel() {
"${cmd[@]}" \
1> >(tee -a "$log") \
2> >(tee -a "$log" | grep0 -v "modpost.*undefined!" >&2)
- )
+ ) || die "$build kernel build failed"
}
find_objects() {
@@ -798,7 +799,7 @@ fi
if (( SHORT_CIRCUIT <= 1 )); then
status "Building original kernel"
clean_kernel
- build_kernel
+ build_kernel "original"
status "Copying original object files"
copy_orig_objects
fi
@@ -808,7 +809,7 @@ if (( SHORT_CIRCUIT <= 2 )); then
fix_patches
apply_patches
status "Building patched kernel"
- build_kernel
+ build_kernel "patched"
revert_patches
status "Copying patched object files"
copy_patched_objects
--
2.53.0
next prev parent reply other threads:[~2026-03-10 20:38 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2026-03-10 20:37 [PATCH v4 00/12] livepatch-klp-build: small fixups and enhancements Joe Lawrence
2026-03-10 20:37 ` [PATCH v4 01/12] objtool/klp: fix data alignment in __clone_symbol() Joe Lawrence
2026-03-18 8:25 ` [tip: objtool/urgent] " tip-bot2 for Joe Lawrence
2026-03-10 20:37 ` [PATCH v4 02/12] objtool/klp: fix mkstemp() failure with long paths Joe Lawrence
2026-03-18 8:25 ` [tip: objtool/urgent] " tip-bot2 for Joe Lawrence
2026-03-10 20:37 ` [PATCH v4 03/12] livepatch/klp-build: support patches that add/remove files Joe Lawrence
2026-03-18 8:25 ` [tip: objtool/core] " tip-bot2 for Joe Lawrence
2026-03-10 20:37 ` [PATCH v4 04/12] livepatch/klp-build: switch to GNU patch and recountdiff Joe Lawrence
2026-03-11 22:20 ` Song Liu
2026-03-18 8:25 ` [tip: objtool/core] " tip-bot2 for Joe Lawrence
2026-03-10 20:37 ` [PATCH v4 05/12] livepatch/klp-build: add grep-override function Joe Lawrence
2026-03-18 8:25 ` [tip: objtool/core] " tip-bot2 for Joe Lawrence
2026-03-10 20:37 ` [PATCH v4 06/12] livepatch/klp-build: add Makefile with check target Joe Lawrence
2026-03-18 8:25 ` [tip: objtool/core] " tip-bot2 for Joe Lawrence
2026-03-10 20:37 ` [PATCH v4 07/12] livepatch/klp-build: fix shellcheck complaints Joe Lawrence
2026-03-18 8:25 ` [tip: objtool/core] " tip-bot2 for Joe Lawrence
2026-03-10 20:37 ` [PATCH v4 08/12] livepatch/klp-build: improve short-circuit validation Joe Lawrence
2026-03-18 8:25 ` [tip: objtool/core] " tip-bot2 for Joe Lawrence
2026-03-10 20:37 ` [PATCH v4 09/12] livepatch/klp-build: Fix inconsistent kernel version Joe Lawrence
2026-03-11 22:23 ` Song Liu
2026-03-18 8:25 ` [tip: objtool/urgent] " tip-bot2 for Josh Poimboeuf
2026-03-10 20:37 ` Joe Lawrence [this message]
2026-03-18 8:25 ` [tip: objtool/core] livepatch/klp-build: provide friendlier error messages tip-bot2 for Joe Lawrence
2026-03-10 20:37 ` [PATCH v4 11/12] livepatch/klp-build: add terminal color output Joe Lawrence
2026-03-18 8:25 ` [tip: objtool/core] " tip-bot2 for Joe Lawrence
2026-03-10 20:37 ` [PATCH v4 12/12] livepatch/klp-build: report patch validation fuzz Joe Lawrence
2026-03-11 22:22 ` Song Liu
2026-03-18 8:25 ` [tip: objtool/core] " tip-bot2 for Joe Lawrence
2026-03-16 22:23 ` [PATCH v4 00/12] livepatch-klp-build: small fixups and enhancements Josh Poimboeuf
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20260310203751.1479229-11-joe.lawrence@redhat.com \
--to=joe.lawrence@redhat.com \
--cc=jikos@kernel.org \
--cc=jpoimboe@kernel.org \
--cc=live-patching@vger.kernel.org \
--cc=mbenes@suse.cz \
--cc=pmladek@suse.com \
--cc=song@kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.